
{% set print = true %}
{%  extends ('thesaurus/thesaurusPrintLayout.twig') %}

{% block content %}
    <h1 style="clear:both" class="text-center"><img src="/img/logo_sysma.png" width="25px" alt="Logo Sysma" /> Dictionnaire Sysma - {{ ORGANISATION }}</h1>
    <p class="text-center"><small>Généré le {{ "now"|date('d/m/Y à H:i') }}</small></p>
    <ul>
        {%  if to|length > 1 %}
            {%  set page = 2 %}      
            {% for TyO in to %}
                {% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}
                    <li><a href="#tyo{{ TyO.sysma_object_type_id }}">{{ TyO.type|raw }} - page {{ page }}</a></li>
                        {% set page = page + 1 %}
                    {% endif %}
                {%  endfor %}
        </ul>
    {%  endif  %}

    {%  set page = 2 %}  

    {% for TyO in to %}

        {% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}


            <h2>
                <p class="text-right"><small>Page {{ page }}</small></p>
                {% set page = page + 1 %}
                <a name='tyo{{  TyO.sysma_object_type_id }}' href="{{ url('sysma-object-type',{ 'id': TyO.sysma_object_type_id }) }}">{{ TyO.type|raw }}</a>
            </h2>


            {% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}


                <h4>Définition</h4>
                <p>{% autoescape %}{{ TyO.description|raw }}{% endautoescape %}</p>
                <h4>Source de la définition</h4>
                <p>{% autoescape %}{{ TyO.definition_source|raw }}{% endautoescape %}</p>
                <h4>Source des données (généalogie)</h4>
                <p>{% autoescape %}{{ TyO.data_source|raw }}{% endautoescape %}</p>
                <h4>Support de numérisation</h4>
                <p>{% autoescape %}{{ TyO.digitization_layer|raw }}{% endautoescape %}</p>
                <h4>Type de géométrie</h4>
                <p>{% autoescape %}{{ TyO.geometry_type|raw }}{% endautoescape %}</p>



                <h3>Paramètres</h3>

                {% for P in TyO.paramArray %}
                    <div class="boiteparameter">
                        {% include('thesaurus/thesaurusSysmaObjectTypeParameter.twig') %}
                    </div>
                {% endfor %}



                {% for TT in TyO.sysmaActionTypesArray %}
                    {% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, TT.sysma_action_type_id ,null ,null , 'lecteur']|hasAccess  or [app.session.get('user_id'),null,  TyO.sysma_object_type_id, null, TT.sysma_action_type_id ,null ,null , 'contributeur']|hasAccess  %}


                        <h3 style="clear:both;padding-top:30px;" >Type d'actions : <u>{{ TT.sysma_action_type|raw }}</u></h3>

                        <h4>Définition</h4>
                        <p>{% autoescape %}{{ TT.description|raw }}{% endautoescape %}</p>


                        <h3>Paramètres</h3>

                        {% if TT.paramArray|length > 0 %}
                            {% for P in TT.paramArray %}
                                <div class="boiteparameter">
                                    {% include('thesaurus/thesaurusSysmaActionTypeParameter.twig') %}
                                </div>
                            {% endfor %}
                        {% endif %}




                    {% endif %}
                {% endfor %}

            {% endif %}
            <hr size="2"  style="clear:both">


        {% endif %}



    {% endfor %}




{% endblock %}